#' textAnnotatoR: A Text Annotation Tool for Qualitative Analysis
#'
#' @description
#' Provides an interactive graphical user interface for qualitative text analysis,
#' allowing users to annotate text, manage codes, create memos, and visualize
#' coding patterns.
#'
#' @details
#' The package includes tools for:
#' \itemize{
#'   \item Text annotation and coding
#'   \item Code management and organization
#'   \item Memo creation and linking
#'   \item Project management
#'   \item Visualization of coding patterns
#'   \item Export of annotations and analyses
#' }
#'
#' @note This package provides functionality for users to interactively save files
#' through the Shiny interface. All file operations are explicitly initiated by
#' users through file dialogs, and no files are written automatically to the user's
#' system without their direct action and consent.
#'
#' @docType _PACKAGE
#' @name textAnnotatoR
NULL
