% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/annotate_gui.R
\name{addJS}
\alias{addJS}
\title{JavaScript code for handling text selection and UI interactions}
\format{
A character string containing JavaScript code
}
\description{
This internal JavaScript code provides functionality for text selection,
popup menus, and interactive UI elements in the text annotation interface.
It manages mouse events for text selection, highlighting, and code application.
}
\details{
The JavaScript code implements the following functionality:
\itemize{
\item Creation and management of popup menus for code operations
\item Text selection handling with mouse events
\item Highlighting of selected text
\item Communication with Shiny server through custom message handlers
\item Event handling for code replacement, renaming, and deletion
}
}
\note{
This is an internal function used by the textAnnotatoR package and
should not be called directly by users.
}
\section{Event Handlers}{

\itemize{
\item Text selection events (mousedown, mousemove, mouseup)
\item Popup menu events for code operations
\item Custom Shiny message handlers for selection state
}
}

\keyword{internal}
