% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/annotate_gui.R
\name{find_node_by_name}
\alias{find_node_by_name}
\title{Find node by name in a tree structure}
\usage{
find_node_by_name(node, target_name)
}
\arguments{
\item{node}{Node object representing the current position in the tree. Should have:
\itemize{
\item name: Character string identifier
\item children: List of child nodes
}}

\item{target_name}{Character string specifying the name to search for}
}
\value{
Node object if found, NULL otherwise
}
\description{
Recursively searches through a tree structure to find a node with a specific name.
The search is performed depth-first and returns the first matching node found.
}
\details{
The function handles NULL inputs safely and performs a recursive depth-first
search through the tree structure. It checks node names and recursively
searches through child nodes.
}
\keyword{internal}
